Overview
PUT
/content/queue-items/{id}contentUpdate queue_items
Replace a record in queue-items by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Request body
application/json · optional
- ecosystemIdoptionalstring
- deletedAtoptionalstring?
- queueIdoptionalstring
- payloadoptionalstring | number | boolean? | object | any[]
- statusoptionalstring
- enqueuedAtoptionalstring
- dequeuedAtoptionalstring?
- ackedAtoptionalstring?
- nackedAtoptionalstring?
Example
{
"ecosystemId": "string",
"deletedAt": "string",
"queueId": "string",
"payload": "string",
"status": "string",
"enqueuedAt": "string",
"dequeuedAt": "string",
"ackedAt": "string",
"nackedAt": "string"
}Responses
200
queue_items
- idstring
- ecosystemIdstring
- customerIdstring
- deletedAtstring?
- queueIdstring
- payloadstring | number | boolean? | object | any[]
- statusstring
- enqueuedAtstring
- dequeuedAtstring?
- ackedAtstring?
- nackedAtstring?
Example
{
"id": "string",
"ecosystemId": "string",
"customerId": "string",
"deletedAt": "string",
"queueId": "string",
"payload": "string",
"status": "string",
"enqueuedAt": "string",
"dequeuedAt": "string",
"ackedAt": "string",
"nackedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/content/queue-items/{id}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"ecosystemId": "string",
"deletedAt": "string",
"queueId": "string",
"payload": "string",
"status": "string",
"enqueuedAt": "string",
"dequeuedAt": "string",
"ackedAt": "string",
"nackedAt": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/queue-items/{id}", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"ecosystemId\": \"string\",\n \"deletedAt\": \"string\",\n \"queueId\": \"string\",\n \"payload\": \"string\",\n \"status\": \"string\",\n \"enqueuedAt\": \"string\",\n \"dequeuedAt\": \"string\",\n \"ackedAt\": \"string\",\n \"nackedAt\": \"string\"\n}",
});
const data = await res.json();